{% include 'header.twig' %}
<style>
    .btn.btn-block.btn-big-primary{
        background-color: green;
        color: white;
    }
</style>
      <div class="content">
        <!-- page and other top info -->
        <div id="page_info">

        </div>
        <!-- // page and other top info -->


  <div class="container-fluid">
      <div class="row">
          <div class="col-md-8">
          <div class="card card_v2 mb-4">
            <div class="card-body">
                <h6 class="text-center text-bold">
                  How to Deposit Through BKASH, Rocket, Nagad on {{ site["site_name"]  }}
                </h6>
                <div class="text-center">
                  <a href="#" target="_blank" class="btn btn-primary" style="padding: 10px 10px; font-size:16px;">WATCH VIDEO</a>
                </div>
            </div>
          </div> 
        
        
        {% if PageText %} 
      <div id="block_107">
    <div class="text-block-with-card ">
        <div class="bg"></div>
        <div class="divider-top"></div>
        <div class="divider-bottom"></div>
        <div class="container">
            <div class="row">
                <div class="col-8">
                    <div class="component_card_1">
                        <div class="card">
                            <div class="text-block__description">
        {{ contentText }}
      </div>
    </div>
</div>
    </div>
  </div></div></div></div>
{% endif %} 
									    <div class="card card_v2">
                  <div class="card-body">
                      
                      <div id="newOrderTabsWrap">
                          <ul class="nav nav-pills tab_btn_wrap mb-3" id="pills-tab" role="tablist">
                                                            <li class="nav-item" role="presentation">
                                  <button class="nav-link active" id="pills-order-tab" data-bs-toggle="pill"
                                      data-bs-target="#pills-order" type="button" role="tab"
                                      aria-controls="pills-order" aria-selected="true"><i
                                          class="far fa-credit-card"></i> Add Fund</button>
                              </li>
      
     
        {% if error %}
          <div class="alert alert-dismissible alert-danger">
            <button type="button" class="close" data-dismiss="alert">×</button>
            {{ errorText }}
          </div>
        {% endif %}
        {% if success %}
          <div class="alert alert-dismissible alert-success">
            <button type="button" class="close" data-dismiss="alert">×</button>
            {{ successText }}
          </div>
		  

        {% endif %}
      </div>

 
<div class="card-body pt-3 pb-3">
                                               <form method="post" id="addfundsForm" action="/addfunds">			
                                      <div class="form-group">
												<label for="method" class="control-label">{{ lang['addfunds.method'] }}</label>
												<select class="form-control" id="payment_method" name="payment_type">
													{% for method in site["paymentMethods"] %}
														<option value="{{ method['id'] }}">{{ method['name'] }}</option>
													{% endfor %}
												</select>
											</div>
											<div id="addfunds_fields"></div>
											
										</form>
										<div id="formSubmitResponseMessage"></div>
										<div id="formSubmitResponseContent"></div>
                   
                                             </div>
                  </div>
               </div>
            </div>
         </div>


                                                     
                                                                                 
<div class="container-fluid"></div><div class="component_card_1"><div class="add-funds__list">
    									    <div class="card card_v2">
                  <div class="card-body">
      
            <div class="table-bg component_table ">
                <div class="table-wr table-responsive">
                    <table class="table">
                        <thead>
                        <tr>
                                                    <th><font size="3" color="red"><b>ID</b></font></th>
													<th><font size="3" color="red"><b>Amount</b></font></th>
													<th class="width-40"><font size="3" color="red"><b>Method</b></font></th>
													<th><font size="3" color="red"><b>Date</b></font></th>
            </tr>
          </thead>
          <tbody>
<td colspan="9">
            {% for payment in payments %}
              <tr>
                <td><span class="">{{ payment['id'] }} </td>
                
                <td><span class=""> {{ payment['amount'] }}  </td>  
                <td class="width-40">{{ payment['name'] }}</td>
                <td>{{ payment['date'] }}</td>

                
              </tr>
            {% endfor %}
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
					</div>
				<div class="divider-top"></div>
        <div class="divider-bottom"></div>
        <div class="container ludd">
 {% if contentText2 %}
 <div class="card mt-4 mb-4 ">	
{{ contentText2 }}
</div>
{% endif %}
</div>
</div>
							</div>
						</div>
					

			{% include 'footer.twig' %}

			<script>
				var paymentMethods = {{ site["paymentMethodsJSON"] }};
			</script>
			<script>
				const addfundsRoute = "/addfunds";
function addfundsInit() {
var addfundsForm = $("#addfundsForm");
var fields = $("#addfunds_fields");
var selectedMethod = $("#payment_method").val();
var instructions = paymentMethods[selectedMethod][0].instructions;
$.ajax({
url: addfundsRoute,
data: "action=getForm&selectedMethod=" + selectedMethod,
type: "POST",
success: function (json) {
if (json.success == true) {
if (instructions.length > 0) {
var methodInstruction = '<div class="form-group"><label class="control-label">Instructions</label><div class="panel-body border-solid border-rounded">' + instructions + '</div></div>';
} else {
var methodInstruction = "";
} fields.html(methodInstruction + json.content);
extraFeeInit(selectedMethod);
}
}
});
}

function extraFeeInit(method) {
var fee = parseFloat(paymentMethods[method][0].fee).toFixed(2);
var fields = $("#fee_fields");
if (fee > 0) {
fields.html('<div class="form-group"><label class="control-label">Extra fee</label><input type="text" class="form-control" id="methodExtraFee" disabled value="0.00"/></div><div class="form-group"><label class="control-label">Total Amount</label><input type="text" id="totalAmount" class="form-control" disabled value="0.00" /></div>');
}
}
function preparePrice(t) {
n = 2;
var r = (t = $.trim(t.toString().replace(",", "."))).split(".");
return void 0 !== r[1] && (r[1] = r[1].replace(/0+$/g, ""), r[1].length > n && (n = 2 < r[1].length ? 2 : r[1].length)),
1e3 <= (t =( t = parseFloat(t)).toFixed(n)) && (t = t.toString().replace(/(\d)(?=(\d\d\d)+([^\d]|$))/g, "$1" + "")),
t = t.toString().replace(/\.(\d+)$/g, "." + "$1");
return t.toFixed(n)
}
$(document).ready(function () {
$(document).on("keyup", "#paymentAmount", function () {
var selectedMethod = $("#payment_method").val();
var amount = parseFloat($(this).val());
var feePercentage = parseFloat(paymentMethods[selectedMethod][0].fee);
var feeInput = $("#methodExtraFee");
var totalAmountInput = $("#totalAmount");
var fee = amount * (feePercentage / 100);
feeInput.val(preparePrice(fee));
totalAmountInput.val(preparePrice(amount + fee));
});
addfundsInit();
});
$("#payment_method").change(function () {
addfundsInit();
});

$("#addfundsForm").submit(function (e) {
e.preventDefault();
var data = $(this).serialize();

$.ajax({
url: addfundsRoute,
data: data,
type: "POST",
success: function (json) {
if (json.success == true) {
var msgDiv = $("#formSubmitResponseMessage");
msgDiv.html('<div class="alert alert-success alert-dismissible fade show mt-2" role="alert">' + json.message + '<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button></div>');
var contentDiv = $("#formSubmitResponseContent");
contentDiv.html(json.content);
} else {
var msgDiv = $("#formSubmitResponseMessage");
msgDiv.html('<div class="alert alert-danger alert-dismissible fade show mt-2" role="alert">' + json.message + '<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button></div>');
}
}

});
});
			</script>